gnutls_dh_params_export_raw(3)

NAME
gnutls_dh_params_export_raw - This function will export the raw DH parameters

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_params_export_raw(gnutls_dh_params_t params, gnutls_datum_t * prime, gnutls_datum_t * generator, unsigned int * bits);

ARGUMENTS

gnutls_dh_params_t params
    Holds the DH parameters

gnutls_datum_t * prime
    will hold the new prime

gnutls_datum_t * generator
    will hold the new generator

unsigned int * bits
    if non null will hold is the prime's number of bits

DESCRIPTION
This function will export the pair of prime and generator for use in the Diffie-Hellman key exchange. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.